Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 618674 - [abrt] crash in seamonkey-2.0.6-1.fc13: Process /usr/lib64/seamonkey-2.0.6/seamonkey-bin was killed by signal 6 (SIGABRT)
[abrt] crash in seamonkey-2.0.6-1.fc13: Process /usr/lib64/seamonkey-2.0.6/se...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: seamonkey (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:7b27909dc19038953f31a50593d...
:
: 615815 625320 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-27 10:10 EDT by David
Modified: 2011-06-29 08:54 EDT (History)
22 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 08:54:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.86 KB, text/plain)
2010-07-27 10:10 EDT, David
no flags Details

  None (edit)
Description David 2010-07-27 10:10:29 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/seamonkey-2.0.6/seamonkey-bin
component: seamonkey
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib64/seamonkey-2.0.6/seamonkey-bin
global_uuid: 7b27909dc19038953f31a50593d0ae3b622743bc
kernel: 2.6.33.6-147.fc13.x86_64
package: seamonkey-2.0.6-1.fc13
rating: 4
reason: Process /usr/lib64/seamonkey-2.0.6/seamonkey-bin was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1.I went in to check my Gmail 
2. checked my emails and logged out
3. closed seamonkey and it crashed
Comment 1 David 2010-07-27 10:10:31 EDT
Created attachment 434706 [details]
File: backtrace
Comment 2 Basil Mohamed Gohar 2010-07-27 11:47:56 EDT
Package: seamonkey-2.0.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I just closed the browser from the File -> Quit menu option, and ABRT reported a crash.  I was viewing phpMyAdmin as well as a Moodle 2.0 development instance I run on my own machine.
Comment 3 bugzilla 2010-07-31 06:37:36 EDT
Package: seamonkey-2.0.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Did nothing special for as far as I know. Happens several times a day. Perhaps one of the plugins is the problem, or the fact that I'm still using the Seamonkey-profile from my Fedora12 install (didn't format /home)
Comment 4 Zing 2010-08-04 14:55:05 EDT
Package: seamonkey-2.0.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. unknown.  just crashed while browsing
Comment 5 Gerald Pfeifer 2010-08-08 07:39:49 EDT
Package: seamonkey-2.0.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----



Comment
-----
Just opened Seamonkey (web browser), googled a bit, and opened a few pages, overall a couple of minutes, nothing special. Then, upon closing the window this crash happened.
Comment 6 Chris Schanzle 2010-08-13 11:21:26 EDT
Package: seamonkey-2.0.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
don't recall precisely, either minimized a seamonkey window or closed a seamonkey browser window.
Comment 7 Zirneklitis 2010-08-17 16:31:52 EDT
Package: seamonkey-2.0.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
SeaMonkey crashes on none regular base


Comment
-----
Maybe something wrong with Xfce environment?
Comment 8 Zing 2010-08-17 19:03:24 EDT
I've been packaging up seamonkey with a backported patch someone did on mozilla bugzilla here since F13 was released:

http://shishz.fedorapeople.org/

YMMV, but it stabilizes seamonkey for me.
Comment 9 William Estrada 2010-08-17 21:14:04 EDT
Package: seamonkey-2.0.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.browsing Craig's list
2.
3.
Comment 10 Zirneklitis 2010-08-19 00:51:16 EDT
*** Bug 625320 has been marked as a duplicate of this bug. ***
Comment 11 Petr Kloutvor 2010-08-19 13:47:21 EDT
Package: seamonkey-2.0.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Start Seamonkey
2....restoring previous sessions.. (12 windows)
3.browsing pages
4. sometimes crashes
Comment 12 Chad Feller 2010-08-23 21:55:30 EDT
Package: seamonkey-2.0.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. open multiple tabs in seamonkey
2. close one or more tabs
3.


Comment
-----
browse the web for a while with multiple tabs open, then close one or more tabs
Comment 13 Chad Feller 2010-08-23 22:11:56 EDT
Package: seamonkey-2.0.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. browse the web with multiple tabs open
2. close one or more tabs
3.
Comment 14 Chad Feller 2010-08-24 15:09:06 EDT
Package: seamonkey-2.0.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. use the navigator component to browse the web with multiple tabs open
2. close one or more tab(s)
3.
Comment 15 Need Real Name 2010-08-25 02:23:32 EDT
Package: seamonkey-2.0.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. browsing forums.thinkpads.com
2. opening and closing tabs, scrolling
3.


Comment
-----
I have been seeing many Seamonkey crashes on many sites since switching to Fedora 13, often shortly after closing a tab. Another common one seems to be crashing while I drag the scrollbar for long periods of time while reading long pages. I think the only extensions I have enabled are gnash and noscript from the Fedora repo.
Comment 16 Need Real Name 2010-08-25 02:33:45 EDT
Package: seamonkey-2.0.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. basic multi-tabbed browsing
2.
3.
Comment 17 Mason 2010-08-26 02:43:44 EDT
Adding package submitter (Martin Stransky) to CC list.

Problematic stack trace:

#0  0x000000350b00f30b in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
#1  0x000000000044fe61 in nsProfileLock::FatalSignalHandler (signo=6)
    at nsProfileLock.cpp:212
#2  <signal handler called>
#3  0x000000350a4329a5 in raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#4  0x000000350a434185 in abort () at abort.c:92
#5  0x000000350bc4668a in IA__g_logv (log_domain=0x34a527f2d4 "Gdk", 
    log_level=<value optimized out>, format=0x34a529d567 "%s", args1=
    0x7fff53f17c40) at gmessages.c:549
#6  0x000000350bc46723 in IA__g_log (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>)
    at gmessages.c:569
#7  0x00000034a52686e6 in gdk_x_error (display=<value optimized out>, 
    error=<value optimized out>) at gdkmain-x11.c:466
#8  0x000000350cc46b24 in _XError (dpy=0x7f77f5358000, rep=0x7f77cbe1f7c0)
    at XlibInt.c:3103
#9  0x000000350cc4cf7c in process_responses (dpy=0x7f77f5358000, 
    wait_for_first_event=0, current_error=0x0, current_request=0)
    at xcb_io.c:214
#10 0x000000350cc4d947 in _XEventsQueued (dpy=0x7f77f5358000, 
    mode=<value optimized out>) at xcb_io.c:263
#11 0x000000350cc3617d in XPending (dpy=0x7f77f5358000) at Pending.c:56
#12 0x00000034a525d4c2 in gdk_event_prepare (source=<value optimized out>, 
    timeout=0x7fff53f17f9c) at gdkevents-x11.c:2330
#13 0x000000350bc3f271 in IA__g_main_context_prepare (context=0x7f77f53166d0, 
    priority=0x7fff53f1801c) at gmain.c:2280
#14 0x000000350bc3f6b8 in g_main_context_iterate (context=0x7f77f53166d0, 
    block=0, dispatch=1, self=<value optimized out>) at gmain.c:2571
#15 0x000000350bc3fc9c in IA__g_main_context_iteration (context=
    0x7f77f53166d0, may_block=0) at gmain.c:2654
Comment 18 Mason 2010-08-26 03:32:06 EDT
I've installed no additional Add-ons. The only ones listed by the manager are ChatZilla, DOM Inspector, and JavaScript Debugger.

Is the Mozilla Crash Reporter disabled in Fedora builds? (about:crashes returns URL cannot be loaded)
Comment 19 Mason 2010-08-26 04:47:40 EDT
As far as I can tell, this bug, along with approximately 50 other similar bug reports, is a dupe of bug 602437 (for which Samuel Sieb proposed a patch two months ago).
Comment 20 Chris Schanzle 2010-09-09 08:57:12 EDT
Package: seamonkey-2.0.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  mail and browser component crashed after closing browser window
Comment 21 Chris Schanzle 2010-09-09 09:27:58 EDT
Package: seamonkey-2.0.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  mail and browser component crashed after closing browser window
Comment 22 Timur Tabi 2010-09-30 17:08:53 EDT
Package: seamonkey-2.0.6-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
I was clearing private data.  Just when I thought it would be done, Seamonkey crashed.
Comment 23 Mason 2010-10-03 05:18:41 EDT
FYI, seamonkey-2.0.8-1.fc13 was built on Wed, 22 Sep 2010 14:19:24 UTC.

Those willing and able to test the new build should comment in Bodhi.
https://admin.fedoraproject.org/updates/seamonkey-2.0.8-1.fc13

Apologies for ruining the suspense: this build crashes exactly like every other, which is completely expected, since nothing has been done, as far as I can tell, to address the issue. (I'd be happy to be proven wrong.)

The problem is well-understood by now.

cf. Fedora bug 602437 and the upstream Mozilla bug report
https://bugzilla.mozilla.org/show_bug.cgi?id=522635

The simple work-around is to build Seamonkey with --disable-system-cairo
Comment 24 Karel Klíč 2010-11-09 11:15:33 EST
*** Bug 615815 has been marked as a duplicate of this bug. ***
Comment 25 Bug Zapper 2011-06-01 08:43:45 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Bug Zapper 2011-06-29 08:54:36 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.